LayerEvent (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.event
Class LayerEvent

    java.lang.Object
      java.util.EventObject
          com.bbn.openmap.event.LayerEvent

All Implemented Interfaces:
  java.io.Serializable

    public class LayerEvent

extends java.util.EventObject

An event to request that layers be added, removed, or shuffled around.

See Also:
  Serialized Form

Field Summary
`static int` | `ADD`
`static int` | `ALL`
`static int` | `REMOVE`
`static int` | `REPLACE`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`LayerEvent(java.lang.Object source, int type, Layer[] layers)` Construct a LayerEvent.

Method Summary
`Layer[]` | `getLayers()` Get the Layers affected by this event.
`int` | `getType()` Get the type of LayerEvent.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ADD

    public static final transient int ADD

See Also:
  Constant Field Values

### REMOVE

    public static final transient int REMOVE

See Also:
  Constant Field Values

### REPLACE

    public static final transient int REPLACE

See Also:
  Constant Field Values

### ALL

    public static final transient int ALL

See Also:
  Constant Field Values

Constructor Detail

### LayerEvent

    public LayerEvent(java.lang.Object source,
                      int type,
                      Layer[] layers)

  Construct a LayerEvent.

  Parameters:
    `source` - Object
    `type` - type of LayerEvent
    `layers` - Layer[]

Method Detail

### getLayers

    public Layer[] getLayers()

  Get the Layers affected by this event.

  Returns:
    Layer[]

### getType

    public int getType()

  Get the type of LayerEvent.

  Returns:
    int type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details